#	BIG FAT WARNING	!!!!
# IMPORTANT NOTE
#	you need xforms to compile LyX (ftp.lyx.org/pub/xforms/) but you musn't
#	compile lyx against the shared lib as we cannot distribute it.
#	Either, you have to compile it against static one; such operation is
#	permmitted by xforms copyright.
#	BUT COMPILE AGAINST THE STATIC ONE, NOT THE SHARED ONE (WHICH WE CANNOT
#	DISTRIBUTE)
#	ON KENOBI, YOU CAN COMPILE ME WITH 'export LD_LIBRARY_PATH=~tv/lib/i386'
#	IN ORDER TO GET PRE-INSTALLED LIBRARY AND TO PREVENT UNNEEDED DOWNLOAD
#	
#	On the first run, this spec file will download the right libs for your
#	arch and cache them

%define subr	fix4

Name:		lyx
Summary:	A word processor for the Desktop Environment
Version:	1.1.6
Release:	18mdk
Source:		ftp://ftp.lyx.org/pub/lyx/stable/%{name}-%{version}%{subr}.tar.bz2
Source50:	textclass.lst
Source51:	packages.lst
Source52:	lyxrc.defaults
URL:		http://www.lyx.org/
Group:		Office

BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc-c++
BuildRequires:	gettext
BuildRequires:	ghostscript
BuildRequires:	gnomemm-devel
BuildRequires:	groff-for-man
BuildRequires:	lftp
BuildRequires:	sgml-tools
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
BuildRequires:	texinfo
BuildRequires:	xpm-devel

BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	tetex, tetex-latex, tetex-dvips
License:	GPL
ExcludeArch: ia64

%define __libtoolize :
%define xform_dir ~/lib/%_arch

%description
LyX is a modern approach of writing documents with a computer
which breaks with the tradition of the obsolete typewriter
concept.  It is designed for people who want a professional
output with a minimum of time effort, without becoming specia-
lists in typesetting.  Compared to common word processors LyX
will increase the productivity a lot, since most of the type-
setting will be done by the computer, not the author.  With LyX
the author can concentrate on the contents of his writing,
since the computer will take care of the look.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}%{subr}
export  LD_LIBRARY_PATH=~/lib

%build
if [ ! -e %xform_dir/libforms.a  ]; then
%ifarch %ix86
lftpget ftp://ncmir.ucsd.edu/pub/xforms/linux/elf/bxform-089-glibc2.1.tgz
%endif
%ifarch alpha
lftpget ftp://ncmir.ucsd.edu/pub/xforms/linux-alpha/bxform-089-glibc2.1.tgz
%endif
%ifarch ppc
lftpget ftp://ncmir.ucsd.edu/pub/xforms/linux-ppc/bxform-089.tgz
%endif
%ifarch sparc
lftpget ftp://ncmir.ucsd.edu/pub/xforms/linux-sparc/bxform-089.tgz
%endif

%ifarch alpha %ix86
tar xfz bxform-089-glibc2.1.tgz
%else
tar xfz bxform-089.tgz
%endif

(cd xforms/FORMS/; mkdir -p %xform_dir ~/inc||true; \
cp libforms.a %xform_dir; cp forms.h ~/inc)
fi

for i in %SOURCE50 %SOURCE51 %SOURCE52;do cp -f $i lib/;done
export CXXFLAGS="-O2 -Wall -W"
perl -pi -e 's!AC_CHECK_LIB.pt,ptsname,X_EXTRA_LIBS="-lpt .X_EXTRA_LIBS".!#!g' configure.in

%configure --with-extra-lib=%xform_dir --with-extra-inc=~/inc/ \
 --without-included-string #--with-pspell
# TV (200111): fix for stupid build system
perl -pi -e 's!lyx_OBJECTS =!lyx_OBJECTS = */{,*/}*pimpl*.o !g' src/Makefile.in
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#mdk menu
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/lyx <<EOF
?package(lyx): command="%{_bindir}/lyx" \
needs="X11" \
icon="wordprocessor_section.png" \
section="Office/Wordprocessors" \
title="LyX" \
longtitle="TeX word processor - especially good at scientific documents"
EOF

for i in lib/reLyX/{BUGS,README,CHANGES,TODO,MANIFEST}; do cp $i $i.reLyX;cp $i.reLyX .;done

#
# Set up the lyx-specific class files where TeX can see then
#
TEXMF=%{_datadir}/texmf
mkdir -p ${RPM_BUILD_ROOT}${TEXMF}/tex/latex
cp -r ${RPM_BUILD_ROOT}%{_datadir}/lyx/tex \
	${RPM_BUILD_ROOT}${TEXMF}/tex/latex/lyx
chmod +x ${RPM_BUILD_ROOT}%{_datadir}/lyx/configure
rm -f ${RPM_BUILD_ROOT}%_bindir/listerrors
%find_lang %{name}

%post
%{update_menus}
# Fix the TeX file hash
#
texhash
# Before configuring lyx for the local system 
# PATH needs to be imported
if [ -f /etc/profile ]; then
    . /etc/profile
fi
#
# Now configure LyX
#
echo "Configuring LyX for your system..."
cd %_datadir/lyx
./configure --srcdir

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%doc INSTALL README ANNOUNCE NEWS INSTALL.autoconf
%doc UPGRADING COPYING 
%doc BUGS.reLyX README.reLyX CHANGES.reLyX TODO.reLyX MANIFEST.reLyX 
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/lyx
%{_menudir}/lyx
%{_datadir}/texmf/tex/latex/lyx

%changelog
* Sat Mar 02 2002 David BAUDENS <baudens@mandrakesoft.com> 1.1.6-18mdk
- Don't use obsolete icon in menu entry

* Tue Jan 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-17mdk
- remove empty file

* Wed Jan 23 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-16mdk
- disable pwlib support [i traced all bugs from coming from libpt.so.1]
- remove ppc specific stuff as it turned to be same across all platforms
- fix4
- a few spec clean

* Tue Jan 22 2002 Stefan van der Eijk <stefan@eijk.nu> 1.1.6-15mdk
- BuildRequires

* Thu Jan 17 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.1.6-14mdk
- PPC still uses gcc2.95

* Sun Jan 06 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-13mdk
- updates from BRANCH_1_1_6 cvs branch (aka fixes from future fix4 release)

* Thu Dec 13 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-12mdk
- fix segfault  (removing kdb definitions)

* Thu Oct 25 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-11mdk
- EcludeArch: ia64

* Tue Oct 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-10mdk
- remove unapplied patch

* Sun Oct 07 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.6-9mdk
- BuildRequires: libsigc++-devel
- fixed byforms for alpha
-  mkdir -p %xform_dir

* Tue Aug 07 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-8mdk
- revert geoffroy 'always get xform'
- versionate with %%_arch xform lib directory

* Tue Aug 07 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.6-7mdk
- Revert Titi's don't get xform if already there change (check spec
  to see why).
- Use the new xform 0.89 (Thomas LECLERC).

* Tue Aug 07 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-6mdk
- smaller binaries (no debug info)

* Mon Aug 06 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-5mdk
- fix3
- fcrozatfication (aka Office/Wordprocessors)
- spec cleaning
- don't get xform if already there
- make it worldwide compilable
- reduce memory usage by using system libsigc
- fix build on current cooker (gwenole)

* Wed May 23 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.6-4mdk
- Roll out lyx 1.1.6 fix2 for everyone.

* Tue Feb 06 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-3mdk
- bug fix : since fix1, lyx doesn't install an executable configure
- prevent lyx from segfaulting

* Thu Feb 01 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-2mdk
- 1.1.6fix1 (bug fix release)
- minor spec tuning in order to ease use of fixY version

* Fri Jan 12 2001 Geoff <snailtalk@mandrakesoft.com> 1.1.6-1mdk
- really 1.1.6.

* Fri Jan 12 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.6-0.3mdk
- BuildRequires: lftp
- Some fix in spec

* Wed Nov 08 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.1.6-0.2mdk
- fixed xforms lftp command for ports

* Fri Oct 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-0.1mdk
- new release
- daouda cleaning
- gcc-2.96 build

* Thu Oct 19 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1.5-5mdk
- include fix2 (Kees report) : a lot of fixes!
- correct handling of icons  

* Sat Oct 07 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1.5-4mdk
- force icons to appear (big titi suX)

* Tue Sep 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.5-3mdk
- really install icon (fuc**** crashing ke which losts files)

* Tue Sep 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.5-2mdk
- uses find_lang
- fix Requires
- really install the menu icon (me sucks :-( )

* Mon Sep 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.5-1mdk
- many fixes
- BM

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.4-7mdk
- automatically added BuildRequires

* Thu Apr 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.4-6mdk
- add menu entry
- use spec-helper
- explain in spec how to build it (this needs to be compiled against static
  libxforms (which is authorized by its owners) because we cannot provide
  xforms.

* Thu Apr 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.4-5mdk
- various fixes (crash after repeated use of the backspace key, font tags,
  truncated images filename)
- add requires on tetex for post-install script

* Mon Apr 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.4-4mdk
- oops! half the locales were forgetted ...

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- new group name (same as klyx)
- fix compilation problems with new autoconf
- fix post-install scripts
- fix installation of i18n po files
- fix some bugs :
	* fix warnings about missing return type in X headers for some
     gcc/egcs versions.
	* fix parsing of LaTeX log files, where some errors got unnoticed.
	* add support for textclasses with more than 128 layouts (yes some
	  people do that!)
	* fix bug with filenames containing more that one "." (for example,
	  a.b.lyx was exported to a.ps).
	* fix partly bug with bibtex files located in the directory of
	  the document (now using an absolute path works).
	* bug in math editor, where greek letters (and some other symbols)
	  had too much spacing around them.

* Thu Mar 02 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix some bugs (i18n, non-gnu dvips handling, and a few others)
- add some warning in spec file in order to explain why we don't provide
  xforms. Hopefully, devel LyX-1.5 is getting independance from xforms ...
- fix compilation with newer g++-2.95.2

* Thu Feb 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.1.14

* Fri Dec 02 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.1.13

* Wed Sep 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rewritten %files (it had conflicts with filesystem package !)
- bzip2'ed man pages
- corrected prefix path; now it find the translation files again

* Wed Aug 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- initial spec
